Bug 194899 - show macaddresses of APs connected to and allow to select allowed macaddressesd
Summary: show macaddresses of APs connected to and allow to select allowed macaddressesd
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Miscellaneous
Component: knetworkmanager (show other bugs)
Version: unspecified
Platform: Ubuntu Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-01 19:51 UTC by m.wege
Modified: 2011-04-29 10:09 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description m.wege 2009-06-01 19:51:03 UTC
Version:            (using KDE 4.2.85)
Installed from:    Ubuntu Packages

The network-manager-settings allow to bind a network connection to a mac-address. Unfortunately it is not so easy to find out the mac-address of the device you are connected to. There should be an option to bind a connection to the mac-address after the connection has been established.
Advantage: Many people leave the networkname of wireless networks which comes with the device. So without binding the Networkmanager tries to connect to networks which have just the same name. By binding the connection to the mac-address of the current connection you can avoid this. Therefore this should be easy to configure.
Comment 1 Lamarque V. Souza 2011-04-21 03:17:52 UTC
I think this can be done using the BSSID fiel in the wireless configuration dialog. Can you confirm?
Comment 2 m.wege 2011-04-23 11:25:41 UTC
I know about the BSSID-field, but at least in networkmanager plasmoid shipped with Kubuntu Maverick, there is no way to select the mac address currently connected to.
Comment 3 Lamarque V. Souza 2011-04-29 10:09:15 UTC
Git commit 58a2a4bcacfa26cb01db053dd857a67815e93be1 by Lamarque V. Souza.
Committed on 29/04/2011 at 10:17.
Pushed by lvsouza into branch 'master'.

Add button in wireless configurator to copy the current access
point's MAC address to BSSID.

BUG: 194899

M  +11   -4    libs/ui/802-11-wireless.ui     
M  +20   -2    libs/ui/802_11_wirelesswidget.cpp     
M  +1    -0    libs/ui/802_11_wirelesswidget.h     

http://commits.kde.org/networkmanagement/58a2a4bcacfa26cb01db053dd857a67815e93be1
Comment 4 Lamarque V. Souza 2011-04-29 10:09:16 UTC
Git commit 1217eb925c2381826deb3f01a57b890b8c02f551 by Lamarque V. Souza.
Committed on 29/04/2011 at 10:17.
Pushed by lvsouza into branch 'nm09'.

Add button in wireless configurator to copy the current access
point's MAC address to BSSID.

BUG: 194899
(cherry picked from commit 58a2a4bcacfa26cb01db053dd857a67815e93be1)

M  +11   -4    libs/ui/802-11-wireless.ui     
M  +20   -2    libs/ui/802_11_wirelesswidget.cpp     
M  +1    -0    libs/ui/802_11_wirelesswidget.h     

http://commits.kde.org/networkmanagement/1217eb925c2381826deb3f01a57b890b8c02f551